DataChecksum.Type (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util, class: DataChecksum, enum: Type

Package org.apache.hadoop.util

# Enum Class DataChecksum.Type

java.lang.Object
java.lang.Enum<DataChecksum.Type>
org.apache.hadoop.util.DataChecksum.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<DataChecksum.Type>`, `Constable`

Enclosing class:
  org.apache.hadoop.util.DataChecksum

public static enum DataChecksum.Type extends Enum<DataChecksum.Type>
The checksum types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRC32`
  `CRC32C`
  `DEFAULT`
  `MIXED`
  `NULL`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `id`
  `final int`
  `size`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataChecksum.Type`
  `valueOf(int id)`
  the type corresponding to the id.
  `static DataChecksum.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataChecksum.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NULL

    public static final DataChecksum.Type NULL

  - ### CRC32

    public static final DataChecksum.Type CRC32

  - ### CRC32C

    public static final DataChecksum.Type CRC32C

  - ### DEFAULT

    public static final DataChecksum.Type DEFAULT

  - ### MIXED

    public static final DataChecksum.Type MIXED

- ## Field Details

  - ### id

    public final int id

  - ### size

    public final int size

- ## Method Details

  - ### values

    public static DataChecksum.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataChecksum.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static DataChecksum.Type valueOf(int id)
    the type corresponding to the id.
    Parameters:
      `id` - id.
    Returns:
      the type corresponding to the id.